%define name ogg2mp3
%define distsuffix plf
%define version 0.5
%define release %mkrel 1

Summary: Convert ogg music files to mp3 music files
Name: %{name}
Version: %{version}
Release: %{release}
License: Artistic
Group: Sound
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-String-ShellQuote
BuildArch: noarch
URL: http://amor.cms.hu-berlin.de/~h0444y2j/linux.html
Source0: %{name}-%{version}.tar.bz2
Requires: vorbis-tools
Requires: lame

%description
Perl script to convert ogg files into mp3 format.
Note that the conversion is lossy.

This is basically an inverted version of
Nathan Walp's mp32ogg

This is Alpha, so be careful.

This package is in PLF bacause it depends on lame.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
perl -c $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/{AUTHORS,LICENSE,TODO,README,COPYING,ChangeLog}
%{_bindir}/%{name}


%changelog
* Tue Apr 24 2007 Olivier Thauvin <nanardon@zarb.org> 0.5-1plf
- 0.5

* Sun Apr 10 2005 Sylvie Terjan <erinmargault@zarb.org> 0.3-4plf
- fix ended with dot summary 
- add %%mkrel
- add distsuffix

* Thu Jan 20 2005 Gtz Waschk <goetz@zarb.org> 0.3-3plf
- fix description
- add URL
- drop prefix
- fix deps

* Tue Nov 30 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3-2plf
- Remove Requires
- patch1: correct handle tag (<nickbroon@blueyonder.co.uk>)

* Tue Mar 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3-1plf 
- BuuildRequires perl-String-ShellQuote
- From rcc <rickscafe.casablanca@gmx.net>
  - new version
  - added ChangeLog file to docs
  - description changed
  - added perl-String-ShellQuote to Requires

* Sun Mar 16 2003 rcc <rickscafe.casablanca@gmx.net> 0.2-1plf
- ogg2mp3 rewrite based on mp32ogg code
- patch0 obsolete

* Sat Mar 15 2003 rcc <rickscafe.casablanca@gmx.net> 0.1-1plf
- initial spec based on mp32ogg-0.11-1mdk
- patch0: swapped default MP3ENC line, swapped default OGGDEC line
- no version, so I tagged it 0.1 to reflect beta status which
  the author claims for the script
- the author doesn't provide any doc files and the license link
  is rather vague (distributable, can be modified, no selling)
  so I chose Artistic as License
- the script is not very clever (no kbps setting, creates tmpfile
  in current dir, saw it choking on weird filenames). I guess,
  I'll join this script with an adapted mp32ogg soon
